### Method

# Gtk Snapshot append_radial_gradient

#### Declaration [src]

    void
    gtk_snapshot_append_radial_gradient (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds,
      const graphene_point_t* center,
      float hradius,
      float vradius,
      float start,
      float end,
      const GskColorStop* stops,
      gsize n_stops
    )

#### Description [src]

Appends a radial gradient node with the given stops to `snapshot`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| The rectangle to render the readial gradient into.
| The data is owned by the caller of the function.
`center` | `const graphene_point_t*`
| The center point for the radial gradient.
| The data is owned by the caller of the function.
`hradius` | `float`
| The horizontal radius.
`vradius` | `float`
| The vertical radius.
`start` | `float`
| The start position (on the horizontal axis).
`end` | `float`
| The end position (on the horizontal axis).
`stops` | An array of `GskColorStop`
| A pointer to an array of `GskColorStop` defining the gradient.
| The length of the array is specified in the `n_stops` argument.
| The data is owned by the caller of the function.
`n_stops` | `gsize`
| The number of elements in `stops`.